import java.util.Observer;

/**
 * This interface defines an abstraction for displaying animated 2D-data.
 * @author B.Düring
 * @author S.Holst
 */
public interface Animation
    extends Runnable
{

    public abstract void addObserver(Observer observer);

    public abstract void clear();

    public abstract void setData(double ad[][]);

    public abstract void setSpeed(int i);

    public abstract boolean start();

    public abstract void stop();
}
